<?php
/**
 * コンテナクラス
 *
 * PHP versions 5
 *
 * LICENSE: This source file is licensed under the terms of the GNU General Public License.
 *
 * @package    Magic3 Framework
 * @author     平田直毅(Naoki Hirata) <naoki@aplo.co.jp>
 * @copyright  Copyright 2006-2009 Magic3 Project.
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL License
 * @version    SVN: $Id: admin_mainTestWidgetContainer.php 2286 2009-09-04 15:46:49Z fishbone $
 * @link       http://www.magic3.org
 */
//require_once($gEnvManager->getContainerPath() . '/baseWidgetContainer.php');
require_once($gEnvManager->getCurrentWidgetContainerPath() .	'/admin_mainBaseWidgetContainer.php');

class admin_mainTestWidgetContainer extends admin_mainBaseWidgetContainer
{
	/**
	 * コンストラクタ
	 */
	function __construct()
	{
		// 親クラスを呼び出す
		parent::__construct();
	}
	/**
	 * テンプレートファイルを設定
	 *
	 * _assign()でデータを埋め込むテンプレートファイルのファイル名を返す。
	 * 読み込むディレクトリは、「自ウィジェットディレクトリ/include/template」に固定。
	 *
	 * @param RequestManager $request		HTTPリクエスト処理クラス
	 * @param object         $param			任意使用パラメータ。そのまま_assign()に渡る
	 * @return string 						テンプレートファイル名。テンプレートライブラリを使用しない場合は空文字列「''」を返す。
	 */
	function _setTemplate($request, &$param)
	{	
		return 'test.tmpl.html';
	}
	/**
	 * テンプレートにデータ埋め込む
	 *
	 * _setTemplate()で指定したテンプレートファイルにデータを埋め込む。
	 *
	 * @param RequestManager $request		HTTPリクエスト処理クラス
	 * @param object         $param			任意使用パラメータ。_setTemplate()と共有。
	 * @param								なし
	 */
	function _assign($request, &$param)
	{
		$srcstr1 = '2008:08/12';
		$srcstr2 = '2009-09/3';
		$srcstr3 = '2010.10/4';
		//list($yyyy, $mm, $dd) = split('[/.-]', $srcstr1);
		list($yyyy, $mm, $dd) = preg_split('/[:\/\.\-]/', $srcstr1);
		echo "[$yyyy] [$mm] [$dd]<br />";
		//list($yyyy, $mm, $dd) = split('[/.-]', $srcstr2);
		list($yyyy, $mm, $dd) = preg_split('/[\/\.\-]/', $srcstr2);
		echo "[$yyyy] [$mm] [$dd]<br />";
		//list($yyyy, $mm, $dd) = split('[/.-]', $srcstr3);
		list($yyyy, $mm, $dd) = preg_split('/[\/\.\-]/', $srcstr3);
		echo "[$yyyy] [$mm] [$dd]<br />";
		
	/*	echo 'パスワード生成テスト<br />';
		for ($i = 0; $i < 100; $i++){
			$str = $this->makePassword();
			echo '[' . $str . '] size=' . strlen($str) .'<br />';
		}*/
	}
}
?>
